#pragma once

#include <J3ML/J3ML.h>

namespace JGL
{
    using namespace J3ML;
    struct Color3 {
        u8 r;
        u8 g;
        u8 b;
        Color3 Lerp(const Color3& rhs, float alpha) const;
        Color3(u8 R, u8 G, u8 B) : r(R), g(G), b(B) {}

        u8 RedChannel  () const { return r; }
        u8 GreenChannel() const { return g; }
        u8 BlueChannel () const { return b; }
        float RedChannelNormalized ()  const { return static_cast<float>(r) / 255.f;}
        float BlueChannelNormalized()  const { return static_cast<float>(b) / 255.f;}
        float GreenChannelNormalized() const { return static_cast<float>(g) / 255.f;}
    };


}